package administrador;
import java.awt.*;
import java.awt.event.*;

/*Administracion.java */
/**@autor Hortensia Ericka Ceron Vargas */

/**Este programa despliega una ventana con un menu bar para las operaciones 
   de altas, modificaciones y bajas realizadas por el administrador */

public class Administracion extends Frame{

private Label l1,l2;
private Button b1, b2;
private boolean habil;
TextArea ta;
Panel pa1,pa2;


MenuBar barra_menu = new MenuBar();
Menu archivo = new Menu("Salir",true);
Menu editar = new Menu("Editar", true);
Menu usuario = new Menu("Usuario" , true);
Menu asignacion = new Menu("Asignar", true);

/** Este es el constructor que coloca el menu bar en la parte superior de la
    ventana*/

public Administracion(String titulo){

   super(titulo);

   pa1 = new Panel();
   pa1.setLayout(new BorderLayout());
   pa2 = new Panel();
   pa2.setLayout(new CardLayout());

   setMenuBar(barra_menu);
   barra_menu.add(archivo);
   barra_menu.add(editar);
   barra_menu.add(asignacion);

   archivo.addActionListener(new Escucha());
   archivo.add("Salir");
   

   Menu mprof = new  Menu("Profesor");
   MenuItem agregar1 = new MenuItem("Agregar");
   mprof.add(agregar1);
   agregar1.setActionCommand("AgregarProfesor");


   MenuItem modificar1 = new MenuItem("Modificar");
   mprof.add(modificar1);
   modificar1.setActionCommand("ModificarProfesor");

   MenuItem borrar1 = new MenuItem("Borrar");
   mprof.add(borrar1);
   borrar1.setActionCommand("BorrarProfesor");

   mprof.addActionListener(new Escucha());
   editar.add(mprof);
   
   Menu mmat = new  Menu("Materia");
   MenuItem agregar2 = new MenuItem("Agregar");
   mmat.add(agregar2);
   agregar2.setActionCommand("AgregarMateria");

   MenuItem modificar2 = new MenuItem("Modificar");
   mmat.add(modificar2);
   modificar2.setActionCommand("ModificarMateria");

   MenuItem borrar2 = new MenuItem("Borrar");
   mmat.add(borrar2);
   borrar2.setActionCommand("BorrarMateria");

   mmat.addActionListener(new Escucha());
   editar.add(mmat);

   Menu mgrp = new  Menu("Grupo");
   MenuItem agregar3 = new MenuItem("Agregar");
   mgrp.add(agregar3);
   agregar3.setActionCommand("AgregarGrupo");

   MenuItem modificar3 = new MenuItem("Modificar");
   mgrp.add(modificar3);
   modificar3.setActionCommand("ModificarGrupo");

   MenuItem borrar3 = new MenuItem("Borrar");
   mgrp.add(borrar3);
   borrar3.setActionCommand("BorrarGrupo");

   mgrp.addActionListener(new Escucha());
   editar.add(mgrp);


   Menu malu = new  Menu("Alumno");
   MenuItem agregar4 = new MenuItem("Agregar");
   malu.add(agregar4);
   agregar4.setActionCommand("AgregarAlumno");

   MenuItem modificar4 = new MenuItem("Modificar");
   malu.add(modificar4);
   modificar4.setActionCommand("ModificarAlumno");

   MenuItem borrar4 = new MenuItem("Borrar");
   malu.add(borrar4);
   borrar4.setActionCommand("BorrarAlumno");

   malu.addActionListener(new Escucha());
   editar.add(malu);


   Menu pla = new  Menu("Plantel");
   MenuItem agregar5 = new MenuItem("Agregar");
   pla.add(agregar5);
   agregar5.setActionCommand("AgregarPlantel");

   MenuItem modificar5 = new MenuItem("Modificar");
   pla.add(modificar5);
   modificar5.setActionCommand("ModificarPlantel");

   MenuItem borrar5 = new MenuItem("Borrar");
   pla.add(borrar5);
   borrar5.setActionCommand("BorrarPlantel");

   pla.addActionListener(new Escucha());
   editar.add(pla);

   Menu fac = new  Menu("Facultad");
   MenuItem agregar6 = new MenuItem("Agregar");
   fac.add(agregar6);
   agregar6.setActionCommand("AgregarFacultad");

   MenuItem modificar6 = new MenuItem("Modificar");
   fac.add(modificar6);
   modificar6.setActionCommand("ModificarFacultad");

   MenuItem borrar6 = new MenuItem("Borrar");
   fac.add(borrar6);
   borrar6.setActionCommand("BorrarFacultad");

   fac.addActionListener(new Escucha());
   editar.add(fac);


   Menu car = new  Menu("Carrera");
   MenuItem agregar7 = new MenuItem("Agregar");
   car.add(agregar7);
   agregar7.setActionCommand("AgregarCarrera");

   MenuItem modificar7 = new MenuItem("Modificar");
   car.add(modificar7);
   modificar7.setActionCommand("ModificarCarrera");

   MenuItem borrar7 = new MenuItem("Borrar");
   car.add(borrar7);
   borrar7.setActionCommand("BorrarCarrera");

   car.addActionListener(new Escucha());
   editar.add(car);

   asignacion.add(new MenuItem("Asignacion de Profesores"));
   asignacion.add(new MenuItem("Asignacion de Alumnos"));
   asignacion.add(new MenuItem("Des-Asignacion de Profesores"));
   asignacion.add(new MenuItem("Des-Asignacion de Alumnos"));
   asignacion.addActionListener(new Escucha());
   //asignacion.add("Acerca de ...");
   //pa1.add(this);

   add("North",pa1);

} // Fin de Administracion 



/** Este metodo muestra el menu de opciones al administrador*/

public void mostrar() {
   setSize(700, 800);
   show();
} // Fin de mostrar

/** La clase Escucha maneja los eventos del mouse */
class  Escucha implements ActionListener{

   public void actionPerformed (ActionEvent ae){
      if(ae.getActionCommand().equals("Salir")){
        System.out.println("Opcion Salir ");
        dispose();
      } // Fin del if


      if (ae.getActionCommand().equals("AgregarProfesor")){
        pa2.hide();
        pa2= new Panel();
        Administracion.this.add(pa2);
        pa2.add(new RegistroProfesor());
        add("Center",pa2);
        Administracion.this.mostrar();


      } // Fin del if

      else if(ae.getActionCommand().equals("ModificarProfesor")){
         pa2.hide();
         pa2= new Panel();
         Administracion.this.add(pa2);
         pa2.add(new ModificaProfesor());
         add("Center",pa2);
         Administracion.this.mostrar();


      } // Fin del else if
 
      else if(ae.getActionCommand().equals("BorrarProfesor")){
         pa2.hide();
         pa2= new Panel();
         Administracion.this.add(pa2);
         pa2.add(new BorraProfesor());
         add("Center",pa2);
         Administracion.this.mostrar();

      } // Fin del else if

      else if(ae.getActionCommand().equals("AgregarGrupo")){
        pa2.hide();
        pa2= new Panel();
        Administracion.this.add(pa2);
        pa2.add(new RegistroGrupo());
        add("Center",pa2);
        Administracion.this.mostrar();

      } // Fin del else if

      else if(ae.getActionCommand().equals("ModificarGrupo")){
         pa2.hide();
         pa2= new Panel();
         Administracion.this.add(pa2);
         pa2.add(new ModificaGrupo());
         add("Center",pa2);
         Administracion.this.mostrar();

      } // Fin del else if


      else if(ae.getActionCommand().equals("BorrarGrupo")){
        pa2.hide();
        pa2= new Panel();
        Administracion.this.add(pa2);
        pa2.add(new BorraGrupo());
        add("Center",pa2);
        Administracion.this.mostrar();

      } // Fin del else if

      else if(ae.getActionCommand().equals("AgregarMateria")){
        pa2.hide();
        pa2= new Panel();
        Administracion.this.add(pa2);
        pa2.add(new RegistroMateria());
        add("Center",pa2);
        Administracion.this.mostrar();

      } // Fin del else if

      else if(ae.getActionCommand().equals("ModificarMateria")){
         pa2.hide();
         pa2= new Panel();
         Administracion.this.add(pa2);
         pa2.add(new ModificaMateria());
         add("Center",pa2);
         Administracion.this.mostrar();

      } // Fin del else if


      else if(ae.getActionCommand().equals("BorrarMateria")){
        pa2.hide();
        pa2= new Panel();
        Administracion.this.add(pa2);
        pa2.add(new BorraMateria());
        add("Center",pa2);
        Administracion.this.mostrar();

      } // Fin del else if



      else if(ae.getActionCommand().equals("AgregarAlumno")){
        pa2.hide();
        pa2= new Panel();
        Administracion.this.add(pa2);
        pa2.add(new RegistroAlumno());
        add("Center",pa2);
        Administracion.this.mostrar();

      } // Fin del else if

      else if(ae.getActionCommand().equals("ModificarAlumno")){
         pa2.hide();
         pa2= new Panel();
         Administracion.this.add(pa2);
         pa2.add(new ModificaAlumno());
         add("Center",pa2);
         Administracion.this.mostrar();

      } // Fin del else if

      else if(ae.getActionCommand().equals("BorrarAlumno")){
        pa2.hide();
        pa2= new Panel();
        Administracion.this.add(pa2);
        pa2.add(new BorraAlumno());
        add("Center",pa2);
        Administracion.this.mostrar();

      } // Fin del else if


     else if(ae.getActionCommand().equals("AgregarPlantel")){
        pa2.hide();
        pa2= new Panel();
        Administracion.this.add(pa2);
        pa2.add(new RegistroPlantel());
        add("Center",pa2);
        Administracion.this.mostrar();

      } // Fin del else if

      else if(ae.getActionCommand().equals("ModificarPlantel")){
         pa2.hide();
         pa2= new Panel();
         Administracion.this.add(pa2);
         pa2.add(new ModificaPlantel());
         add("Center",pa2);
         Administracion.this.mostrar();

      } // Fin del else if

      else if(ae.getActionCommand().equals("BorrarPlantel")){
        pa2.hide();
        pa2= new Panel();
        Administracion.this.add(pa2);
        pa2.add(new BorraPlantel());
        add("Center",pa2);
        Administracion.this.mostrar();

      } // Fin del else if

     else if(ae.getActionCommand().equals("AgregarFacultad")){
        pa2.hide();
        pa2= new Panel();
        Administracion.this.add(pa2);
        pa2.add(new RegistroFacultad());
        add("Center",pa2);
        Administracion.this.mostrar();

      } // Fin del else if

      else if(ae.getActionCommand().equals("ModificarFacultad")){
         pa2.hide();
         pa2= new Panel();
         Administracion.this.add(pa2);
         pa2.add(new ModificaFacultad());
         add("Center",pa2);
         Administracion.this.mostrar();

      } // Fin del else if

      else if(ae.getActionCommand().equals("BorrarFacultad")){
        pa2.hide();
        pa2= new Panel();
        Administracion.this.add(pa2);
        pa2.add(new BorraFacultad());
        add("Center",pa2);
        Administracion.this.mostrar();

      } // Fin del else if

     else if(ae.getActionCommand().equals("AgregarCarrera")){
        pa2.hide();
        pa2= new Panel();
        Administracion.this.add(pa2);
        pa2.add(new RegistroCarrera());
        add("Center",pa2);
        Administracion.this.mostrar();

      } // Fin del else if

      else if(ae.getActionCommand().equals("ModificarCarrera")){
         pa2.hide();
         pa2= new Panel();
         Administracion.this.add(pa2);
         pa2.add(new ModificaCarrera());
         add("Center",pa2);
         Administracion.this.mostrar();

      } // Fin del else if

      else if(ae.getActionCommand().equals("BorrarCarrera")){
        pa2.hide();
        pa2= new Panel();
        Administracion.this.add(pa2);
        pa2.add(new BorraCarrera());
        add("Center",pa2);
        Administracion.this.mostrar();

      } // Fin del else if

      else if(ae.getActionCommand().equals("Asignacion de Profesores")){
        System.out.println ("asigna profe");
        pa2.hide();
        pa2= new Panel();
        Administracion.this.add(pa2);
        pa2.add(new AsignaProfr());
        add("Center",pa2);
        Administracion.this.mostrar();

      } // Fin del else if

      else if(ae.getActionCommand().equals("Asignacion de Alumnos")){
        pa2.hide();
        pa2= new Panel();
        Administracion.this.add(pa2);
        pa2.add(new AsignaAlu());
        add("Center",pa2);
        Administracion.this.mostrar();

      } // Fin del else if

      else if(ae.getActionCommand().equals("Des-Asignacion de Profesores")){
        pa2.hide();
        pa2= new Panel();
        Administracion.this.add(pa2);
        pa2.add(new DesasignaProf());
        add("Center",pa2);
        Administracion.this.mostrar();

      } // Fin del else if

     else if(ae.getActionCommand().equals("Des-Asignacion de Alumnos")){
        pa2.hide();
        pa2= new Panel();
        Administracion.this.add(pa2);
        pa2.add(new DesasignaAlu());
        add("Center",pa2);
        Administracion.this.mostrar();

      } // Fin del else if




   } // Fin del actionPerformed
} // Fin de la clase Escucha

} // Fin de PrincipalAdmon
